Reply to topic

KDevelop GDB Integration Broken

User avatar MadMartian
Registered Member
Posts
13
Karma
0

KDevelop GDB Integration Broken

Sun Jan 03, 2021 11:18 pm
I am using KDevelop 5.5.0.
And I cannot debug a C project, it complains that I need GDB 7.0.0 or higher but I already have version 9.2 installed. I was able to debug the executable directly using GDB from the command-line, but this is time-consuming and I want to be able to debug inside KDevelop. There's also another message I think left-over from integrating with UE4: "You are using: Registered pretty printers for UE4 classes"

How do I fix this? where would I begin to look for more clues?
User avatar scummos
Global Moderator
Posts
1168
Karma
7
OS

Re: KDevelop GDB Integration Broken

Mon Jan 04, 2021 12:43 am
Please update to KDevelop 5.5.1, this is fixed there. See https://bugs.kde.org/show_bug.cgi?id=428688
At least it seems very likely this is the bug you are experiencing.
Sorry for the trouble!


I'm working on the KDevelop IDE.
User avatar MadMartian
Registered Member
Posts
13
Karma
0

Re: KDevelop GDB Integration Broken

Sun Feb 21, 2021 7:55 pm
scummos wrote:Please update to KDevelop 5.5.1, this is fixed there. See https://bugs.kde.org/show_bug.cgi?id=428688
At least it seems very likely this is the bug you are experiencing.
Sorry for the trouble!


Great! I'm definitely going to give that a go. Overall I think the tidy yet comprehensive Qt-based UX of Kdevelop is it's strength, I prefer this over CodeBlocks, CodeLite or any Electron-based editor.

Question, is it best to just use the AppImage? I prefer to rely on Apt package management when possible, but understand that the dependencies and repository maintenance just isn't always there.

 
Reply to topic

Bookmarks



Who is online

Registered users: Baidu [Spider], Bing [Bot], Google [Bot], Majestic-12 [Bot], pauljurczak, Sogou [Bot], suchiss, YaCy [Bot], Yahoo [Bot]